/* @import "./globals.css"; */

.home {
  min-height: 100vh;
}

.top_info {
  color: var(--white);
  padding-top: 120px;
  text-align: center;
  font-size: 16px;
}

.near_lott {
  font-size: 52px;
  // background: -webkit-linear-gradient(left, #22ff23, #b5db42, #17ef85);
  // background: -o-linear-gradient(right, #22ff23, #b5db42, #17ef85);
  // background: -moz-linear-gradient(right, #22ff23, #b5db42, #17ef85);
  // background: linear-gradient(to right, #22ff23, #b5db42, #17ef85);
  // -webkit-background-clip: text;
  // -webkit-text-fill-color: transparent;
}

.lottery {
  max-width: 392px;
  margin: auto;
  position: relative;
  overflow: hidden;
}

.wrap_current_lottery {
  padding-top: 24px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 900px;
  margin: auto;
  .wrap-current {
    .spec {
      text-align: center;
      font-size: 16px;
      padding-top: 8px;
    }
  }
}

.current_info {
  width: 430px;
  border: 1px solid var(--greenlightSecondary);
  padding: 20px;
  text-align: center;
  border-radius: 8px;
  background: rgb(255 255 255 / 3%);
  overflow: hidden;
  h6 {
    font-size: 14px;
    font-weight: 500;
  }
}

.current_info.orange {
  border: 1px solid var(--orange);
}

.current_info_value {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 10px;
  .fix-width {
    width: 354px;
    text-align: left;
    display: flex;
    height: 66px;
  }
  p {
    padding-left: 10px;
    font-size: 40px;
    font-weight: 400;
    .space {
      font-weight: 400;
      padding: 0 12px;
      font-size: 40px;
      display: inline-block;
      flex: 1;
      .time {
        font-size: 24px;
        font-weight: 400;
      }
    }
  }
}

.current_info_value_history_item {
  height: 41.14px;
  .fix-width {
    position: absolute;
    font-size: 14px;
    width: 180px;
    left: 147px;
    top: 28px;
  }
  .clock-animated-transform-scale {
    margin: 0 -8px;
  }
  p {
    font-size: 24px;
    .space {
      font-size: 16px;
      width: 52px;
      display: inline-block;
      text-align: center;
      height: 40px;
      padding: 0;
      .time {
        font-size: 15px;
      }
    }
  }
}

.home_buy_ticket {
  display: block;
  margin: 34px auto 0;
  background-color: transparent;
  border: none;
  outline: none;
  text-align: center;
  cursor: pointer;
  transition: 0.4s all;
  position: relative;
  span {
    z-index: 2;
  }
}

.home_buy_ticket:hover {
  transform: rotate(2deg);
}
.home_buy_ticket:after {
  position: absolute;
  content: '';
  width: 273px;
  height: 82px;
  background-color: #fadb14;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  margin: auto;
  filter: blur(50px);
  z-index: 1;
}

.lang-biang {
  position: relative;
  top: -30px;
  margin: auto;
  height: 493px;
  width: 1145px;
  background: url('../public/images/lang-biang.png') no-repeat center center / cover;
}

.deco-1 {
  position: absolute;
  top: 200px;
  left: 30px;
}

.deco-2 {
  position: absolute;
  top: 250px;
  right: 30px;
}

.deco-3 {
  position: absolute;
  top: 450px;
  right: -90px;
}

.deco-4 {
  position: absolute;
  top: 700px;
  right: 40px;
}

.deco-5 {
  position: absolute;
  top: 690px;
  left: 40px;
}

.deco-6 {
  position: absolute;
  top: 350px;
  left: -100px;
  box-shadow: 0 0 0 0 rgba(0, 0, 0, 1);
}

.wrap-previous-lottery {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: -190px;

  .section {
    position: relative;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    padding: 18px;
    background-color: rgb(0 0 0 / 20%);
    width: 312px;
    height: 142px;
    display: flex;
    text-align: center;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    .spec {
      padding-top: 4px;
      font-weight: bold;
    }
    .title {
      font-size: 14px;
      color: #e2f0fe;
      padding-bottom: 8px;
      font-weight: 500;
      text-transform: uppercase;
    }
    .value {
      font-size: 30px;
      display: flex;
      justify-content: space-between;
      align-items: center;
      .number {
        font-size: 28px;
        margin: 0 4px;
        //testing
        animation-duration: 1.5s;
        animation-iteration-count: infinite;
        transform-origin: bottom;
        div {
          padding: 24px;
        }
        &:hover {
          animation-name: ebounce;
          animation-timing-function: ease-in-out;
        }
      }

      .icon {
        height: 40px;
        padding-right: 8px;
      }
    }
  }
  .hash-position {
    position: absolute;
    top: -18px;
    right: 12px;
  }
  .mid {
    width: 650px;
    margin: 0 20px;
  }
}

.your-ticket-section {
  .big-title {
    font-size: 40px;
    padding-top: 100px;
    padding-bottom: 34px;
    text-align: center;
  }
  .wrap-info-ticket {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 1100px;
    margin: auto;
  }
  .wrap-info-ticket {
    .ticket {
      width: 535px;
      background: rgb(255 255 255 / 10%);
      padding: 24px;
      border-radius: 8px;
      text-align: center;

      .desc {
        padding-bottom: 34px;
        font-size: 13px;
        font-weight: bold;
        text-transform: uppercase;
      }
      .mini-title {
        padding: 0 8px 0;
        text-transform: uppercase;
        font-weight: bold;
        font-size: 13px;
        color: #aec0c8;
      }
      .flex-row {
        display: flex;
        align-items: center;
        justify-content: space-around;
        .flex-align-center {
          margin: 0 8px;
        }
      }
      .flex-align-center {
        flex-direction: column;
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 120px;
        .spec {
          font-weight: bold;
          padding: 4px 8px;
          background: rgb(243 170 58 / 20%);
          border-radius: 8px;
        }
        .logo-amount {
          font-size: 15px;
          font-weight: bold;
          display: flex;
          align-items: center;
          margin: 6px 0;
          .logo {
            padding-right: 4px;
          }
          & > span {
            margin-right: 8px !important;
          }

          .logo-amount-wrap-price {
            text-align: center;
          }
        }
        .price-dollar {
          font-size: 12px;
          font-weight: 400;
          color: var(--base-gray-2);
          padding: 2px 0;
        }
        .common-button {
          margin-top: 24px;
        }
      }
    }
  }
}

.all-history {
  .wrap-scroll {
    *::-webkit-scrollbar {
      display: block !important;
    }
  }
  .wrap-all-history {
    position: relative;
    border-radius: 8px;
    overflow: hidden;
    width: 1300px;
    .wrap-title.on-top {
      padding: 18px 30px;
    }
    .wrap-title {
      background-color: rgb(33 55 49);
      display: flex;
      justify-items: flex-start;
      align-items: center;
      padding: 8px 14px;
      position: absolute;
      top: auto;
      left: auto;
      width: 100%;
      z-index: 5;
      .block-title {
        padding: 8px;
        h6 {
          font-size: 14px;
        }
        .value-item {
          .top {
            font-size: 16px;
            font-weight: 400;
          }
          .bot {
            color: var(--base-gray-2);
            font-size: 15px;
          }
        }
        .value-button {
          display: flex;
          .common-button {
            width: 94px;
            margin-right: 6px;
            padding: 12px;
            &:last-child {
              margin-right: 0;
            }
          }
        }
      }
      .round {
        min-width: 84px;
      }
      .win-numbers {
        min-width: 240px;
        .flex-win-numbers {
          display: flex;
          gap: 4px;
          justify-content: flex-start;
          align-items: center;
        }
      }
      .pot-sizes {
        min-width: 160px;
      }
      .prize {
        min-width: 97px;
      }
      .your-tickets {
        width: 224px;
      }
    }
    .wrap-title-value {
      position: relative;
      z-index: 1;
      background-color: transparent;
      border-bottom: 1px solid var(--green-dark);
      transition: all 0.3s ease-in-out;
    }
    .wrap-history-item {
      // overflow-y: scroll;
      // max-height: 800px;
      padding-top: 76px;
      background: var(--white-transparent-5p);
      .no-history {
        text-align: center;
        padding: 24px;
        span {
          cursor: pointer;
          color: var(--green-lott);
        }
      }
    }

    .btn-loadmore {
      padding: 20px 0;
      font-weight: 400;
      font-size: 18px;
      text-align: center;
      cursor: pointer;
      .btn-loadmore-caret {
        position: relative;
        top: 2px;
      }
    }
  }
}

.how-to-play {
  .wrap-step {
    display: flex;
    // justify-content: space-between;
    align-items: stretch;
    gap: 25px;
    .step {
      flex: 1;
      max-height: 200px;
      height: 100%;
      padding: 20px;
      background-color: var(--white-transparent-5p);
      border-radius: 8px;
      overflow: hidden;
      .title {
        font-size: 16px;
      }
      .sub-title {
        font-size: 24px;
        padding: 4px 0;
      }
      .text {
        font-size: 14px;
      }
    }
  }
  .winning-rule-section {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    margin-top: 24px;
    .criteria {
      border-radius: 8px;
      padding: 20px;
      width: 70%;
      background-color: var(--white-transparent-5p);
      .title {
        font-size: 24px;
      }

      .text {
        font-size: 16px;
        font-weight: 300;
        white-space: break-spaces;
      }
      ul {
        padding-left: 28px;
        // margin: 17px 0 0 0 !important;
        list-style: none;
        padding-left: 0;
        li {
          font-size: 16px;
          font-weight: 300;
          padding: 8px 0;
        }
      }

      .linking-des {
        font-size: 16px;
        font-weight: 300;
        color: var(--f-light-green) !important;
      }
    }
    .item-flex.rule-board {
      padding: 15px;
    }

    .rule-board {
      width: 28%;
      position: relative;
      min-height: 270px;
      background: var(--white-transparent-5p);
      border-radius: 8px;
      padding: 14px;
      .wrap-img-rule-board,
      .wrap-game-rule {
        position: relative;
        min-height: inherit;
        width: 100%;
        top: -10px;
        img {
          max-width: 100%;
          // transform: scale(1.5);
        }
      }
      .wrap-game-rule {
        top: 0px;
      }
      .wrap-info {
        font-size: 14px;
        font-weight: bold;
        .info {
          margin-bottom: 8px;
          display: flex;
          justify-content: space-between;
          align-items: center;
          .side {
            font-weight: 500;

            display: flex;
            .dot {
              margin-right: 6px;
              width: 20px;
              height: 20px;
              border-radius: 50%;
              background: yellow;
            }
          }
        }
      }
    }
    .mini-chart {
      padding-top: 16px;
      padding-bottom: 16px;
      text-align: center;
    }
  }
}
.hight-2-light {
  font-size: 16px;
  font-weight: 400;
  color: var(--textgreen);
}
.desc {
  font-size: 16px;
  font-weight: bold;
}
.rule-mutual {
  font-size: 16px;
  font-weight: 300 !important;
  white-space: break-spaces;
  margin-bottom: 18px;
  line-height: 28px;
  .winning-number {
    font-size: 16px;
    padding-top: 10px;
  }
  &:last-child {
    margin-bottom: 0;
  }
}
.rule-bold {
  font-weight: bold;
}
.rule-break-word {
  word-break: break-all;
}
.rule-thin {
  font-weight: 300;
}

.rule-display-inline-block {
  display: inline-block;
}

.rule-display-block {
  display: block;
}

.rule-text-center {
  text-align: center;
}

.number-circle {
  width: 44px;
  height: 44px;
  text-align: center;
  color: var(--white);
  overflow: hidden;
  border-radius: 50%;
  border: 1px solid var(--green-lott-opacity-3);
  position: relative;
  background: var(--green-dark);
  p {
    position: absolute;
    top: 50%;
    left: 53%;
    transform: translate(-50%, -50%);
    font-weight: bold;
    font-size: 20px;
  }
}

.ant-modal.wrap-modal.buy-ticket-modal {
  width: 500px !important;
  .wrap-number-pad {
    padding: 16px;
    border: 1px solid var(--green-lott-opacity-3);
    border-radius: 8px;
    text-align: center;
    color: #fff;
    // background: rgb(255 209 102 / 10%);
    background: rgb(48, 74, 53);
    background: -moz-linear-gradient(
      0deg,
      rgba(48, 74, 53, 0.3) 10%,
      rgba(44, 64, 50, 0.3) 50%,
      rgba(40, 53, 49, 0.3) 100%
    );
    background: -webkit-linear-gradient(
      0deg,
      rgba(48, 74, 53, 0.3) 10%,
      rgba(44, 64, 50, 0.3) 50%,
      rgba(40, 53, 49, 0.3) 100%
    );
    background: linear-gradient(0deg, rgba(48, 74, 53, 0.3) 10%, rgba(44, 64, 50, 0.3) 50%, rgba(40, 53, 49, 0.3) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#304a35",endColorstr="#283531",GradientType=1);
    h4 {
      text-transform: uppercase;
      font-size: 13px;
      color: var(--white) !important;
      margin-bottom: 8px !important;
      font-weight: 500;
    }
    .number-pad {
      display: flex;
      justify-content: space-between;
      align-items: center;
      gap: 4px;
      flex-wrap: wrap;
      button {
        width: 80px;
        height: 58px;
        background: none;
        outline: none;
        border: none;
        font-size: 24px;
        font-weight: 500;
        transition: 0.4s all;
        cursor: pointer;
        &:hover {
          opacity: 0.7;
        }
        &:active {
          opacity: 0;
        }
      }
    }
  }
  .ant-tabs-tab {
    width: 49%;
    justify-content: center;
    .tab-content {
      display: flex;
      align-items: center;
      justify-content: space-between;
      svg {
        margin-right: 6px;
      }
    }
  }
  .ant-tabs > .ant-tabs-nav .ant-tabs-nav-list,
  .ant-tabs > div > .ant-tabs-nav .ant-tabs-nav-list {
    width: 100%;
    .ant-tabs-tab-btn,
    .ant-tabs-tab.ant-tabs-tab-active .ant-tabs-tab-btn {
      color: var(--white);
      font-weight: 300;
    }
    .ant-tabs-ink-bar {
      background-color: var(--green-lott);
      height: 3px;
    }
  }
  .you-number {
    color: var(--white) !important;
    .top {
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 18px 0 4px;
      .clear {
        transition: 0.4s all;
        cursor: pointer;
        display: flex;
        align-items: center;
        justify-content: center;
        color: var(--red-2) !important;
        position: relative;
        .anticon-delete {
          font-size: 21px;
          color: var(--red-2);
          position: absolute;
          left: -23px;
          top: -2px;
        }
        &:hover {
          opacity: 0.7;
        }
      }
      h5 {
        font-size: 13px;
      }
    }
    .control {
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding-top: 6px;
      .number-chosen {
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 15px;
        padding: 8px 16px;
        background: #2f3139;
        border-radius: 12px;
      }
      .add-button {
        border: 1px solid var(--green-lott);
        padding: 17px;
        border-radius: 12px;
        background: var(--green-dark);
        cursor: pointer;
        transition: 0.4s all;
        &:hover {
          opacity: 0.7;
        }
      }
    }
  }
  .wrap-combination {
    padding: 18px;
    background-color: var(--sub-black-3);
    margin-top: 20px;
    border-radius: 12px;
    .title {
      font-size: 16px;
      text-align: center;
      font-weight: normal;
    }
    .list-number-choose {
      max-height: 166px;
      overflow: auto;
      margin: 14px 0;
      .wrap-number-choose {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        padding: 0 15px;
        gap: 10px;
        &:last-child {
          margin: 6px auto 0;
        }
        .number-show {
          display: flex;
          justify-content: space-between;
          gap: 6px;
        }
        .number-del {
          cursor: pointer;
          &:hover {
            opacity: 0.7;
          }
          .anticon-delete {
            padding: 10px;
            background: rgb(42, 75, 35);
            background: -moz-linear-gradient(0deg, rgba(42, 75, 35, 1) 0%, rgba(21, 45, 13, 1) 81%);
            background: -webkit-linear-gradient(0deg, rgba(42, 75, 35, 1) 0%, rgba(21, 45, 13, 1) 81%);
            background: linear-gradient(0deg, rgba(42, 75, 35, 1) 0%, rgba(21, 45, 13, 1) 81%);
            filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#2a4b23",endColorstr="#152d0d",GradientType=1);
            border-radius: 6px;
            margin-left: 12px;
          }
          font-size: 22px;
        }
      }
    }
    .buy-info {
      display: flex;
      justify-content: space-between;
      align-items: center;
      font-size: 16px;
      padding-bottom: 8px;
      p {
        font-weight: 300;
      }
    }
    .modal-buy-btn {
      width: 100%;
      padding: 14px;
      margin: 16px 0 0;
    }
  }
  .wrap-random {
    .action-random {
      display: flex;
      justify-content: space-between;
      margin: 12px 0;
      .wrap-input {
        display: flex;
        align-items: center;
        width: 56%;
        justify-content: space-around;
        padding: 6px 30px;
        background: var(--sub-black-4);
        border-radius: 8px;
        .pl {
          padding-left: 24px;
        }
      }
    }
    .add-random-btn {
      width: 100%;
      padding: 8px;
      margin: 12px 0 0;
    }
    .ant-input-number {
      &:focus {
      }
      background: transparent;
      border: none;
      color: var(--white);
      .ant-input-number-input-wrap {
        input {
          text-align: center;
        }
      }
    }
    .btn-add-random {
      width: 100%;
      padding: 10px;
      margin: 4px 0 8px;
    }
  }
  .ant-tabs-top > .ant-tabs-nav::before,
  .ant-tabs-bottom > .ant-tabs-nav::before,
  .ant-tabs-top > div > .ant-tabs-nav::before,
  .ant-tabs-bottom > div > .ant-tabs-nav::before {
    border-bottom: 1px solid var(--smoke);
  }
}

@keyframes ebounce {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(0);
  }
}
